async function a() {
  // wait for b to start
  await new Promise((resolve)=>setImmediate(resolve));
  for (let i = 0; i <= 10000000; i++) {
    await new Promise((resolve)=>resolve());
  }
  console.log('a() finished');
}

async function b() {
  console.log('b() started');
  for (let i = 0; i <= 5; ++i) {
    // do something...
    await new Promise((resolve)=>setImmediate(resolve));
  }
  console.log('b() finished')
}

await Promise.all([a(), b()]);;

async function a2() {
  console.log('a2() started');
  await new Promise((resolve)=>setImmediate(resolve));
  console.log('a2() finished');
}

async function b2() {
  for (let i = 0; i <= 1000; ++i) {
    // do something
    await new Promise((resolve)=>resolve());
  }
  console.log('b2() finished');
}

await Promise.all([a2(), b2()]);;

